package server

import (
	def "git.pbiernat.dev/egommerce/identity-service/internal/app/definition"
	"github.com/gofiber/fiber/v2"
)

func (s *Server) HealthHandler(c *fiber.Ctx) error {
	return c.JSON(&def.HealthResponse{
		Status: "OK",
	})
}

func (s *Server) ConfigHandler(c *fiber.Ctx) error {
	return c.JSON(s.conf)
}
